1. Pre-Warmup
  • Welcome to the Cold Mail Reseller API
  • Get Started
    • Overview
    • Authentication
    • Quick Start
  • Core Concepts
    • Users
    • Domains
    • DNS Management
    • Mailboxes
    • Subscriptions
    • Pre-Warmup
    • Domain Renewal
    • 1+ Year Subscriptions
    • Mailbox Warmup
    • Platform Exports
    • OAuth Exports
    • Sandbox API
  • API Reference
    • Users
      • List Users
      • Get User
      • Create User
      • Update User
      • Delete User
    • Geo
      • List Countries
      • List States
    • Domains
      • Domain Renewal
        • Get Domain Renewal Prices
        • Renew Domains
        • Toggle Domain Auto-Renew
      • Get Domains by User
      • Check Domain Availability
      • Check Single Domain Availability
      • Check Workspace Existence
      • Set Domain Forwarding
      • Set Email Forwarding
      • Delete Domains
    • DNS
      • Get DNS Records
      • Add DNS Records
      • Update DNS Record
      • Update Nameservers
      • Delete DNS Record
    • Mailboxes
      • List Mailboxes
      • Get Mailboxes by User
      • Get Mailbox
      • Get Admin Mailbox Details
      • Update Mailbox Details
      • Delete Mailbox
    • Mailbox Warmup
      • Add Warmup to Mailbox
      • Toggle Warmup
      • Update Warmup Settings
      • Set Warmup Status
      • Disable Warmup
    • Orders
      • Get Order Status
      • Get Order Details
      • Create Order
      • Create Order (JSON)
      • Create Mailbox Order (JSON)
      • Process Order
    • Subscriptions
      • 1+ Year Subscription
        • Recreate Subscription
      • Get Subscriptions
      • Renew Subscriptions
      • Cancel Subscription
      • Toggle Auto-Renewal
    • Exports
      • Platform Exports
        • Get Platform Credentials
        • Add Platform Credential
        • Export Mailboxes to Platform
        • Remove Platform Credential
      • OAuth Exports
        • Perform OAuth
        • Add Client ID to Domains
    • Pre-Warmup
      • Sandbox
        • Get Sandbox Pre-warmup Domains
        • Order Sandbox Pre-warmup
        • Reset Sandbox Pre-warmup
      • Get Pre-warmup Domains
        GET
      • Order Pre-warmup
        POST
    • Placement Test
      • Create Placement Order
      • Get Placement Reports
  • Resources
    • Errors
    • Rate Limits
    • Pagination
    • Sandbox
    • MCP
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Mailbox Events
      • Subscription Events
      • Prewarmup Events
      • Mailbox Warmup Events
  • Schemas
    • Error
    • Success
    • MessageResponse
    • User
    • Domain
    • ErrorResponse
    • Mailbox
    • Subscription
    • DnsRecord
    • Error Response
    • Pagination Meta
    • Action Error Response
    • PrewarmupOrderResult
    • OrderCreationResult
  1. Pre-Warmup

Order Pre-warmup

POST
/pre-warmup/order
Places an order for pre-warmup domain packages.
Each item in the order array specifies a domain and an optional forwarding URL.

Google#

{
  "order": [{ "domain": "prewarm-acmecorp.com", "forwardTo": "https://acmecorp.com" }],
  "serviceProvider": "GOOGLE",
  "google": { "googleOauthRoute": "https://yourapp.com/oauth/google", "clientId": "...", "appName": "YourApp" },
  "autoRenew": true
}

Microsoft#

{
  "order": [{ "domain": "prewarm-acmecorp.com" }],
  "serviceProvider": "MICROSOFT",
  "microsoftOauthRoute": "https://yourapp.com/oauth/microsoft"
}
Note: Returns 201 on success. Requires sufficient wallet balance.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
Prewarmup order created and queued for processing, make sure to have enough balance in your wallet!
Bodyapplication/json

🟠401Unauthorized
🟠400Bad Request
🟠422Unprocessable Entity
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/pre-warmup/order?userId=H8M9JV2S9HMPYFQW393AZHQVD4XM' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "order": [
        {
            "domain": "prewarm-acmecorp.com",
            "forwardTo": "https://acmecorp.com"
        }
    ],
    "serviceProvider": "GOOGLE",
    "autoRenew": true,
    "google": {
        "googleOauthRoute": "string",
        "clientId": "string",
        "appName": "string"
    },
    "microsoftOauthRoute": "string"
}'
Response Response Example
201 - Example 1
{
    "status": 201,
    "message": "Prewarmup order created and queued for processing, make sure to have enough balance in your wallet!",
    "data": {
        "orderId": "H8M9JV2S9HMPYFQW393AZHQVD4XM"
    },
    "actionId": "ACT_7a078272-0fa7-4db4-a85b-c78697dacea1"
}
Modified at 2026-08-06 06:20:56
Previous
Get Pre-warmup Domains
Next
Create Placement Order
Built with